org.apache.sysds.runtime.compress.estim

## Class CompressedSizeInfoColGroup

- java.lang.Object
- - org.apache.sysds.runtime.compress.estim.CompressedSizeInfoColGroup

-     public class CompressedSizeInfoColGroup
      extends Object

  Information collected about a specific ColGroup's compression size.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompressedSizeInfoColGroup(EstimationFactors fact, Set<ColGroup.CompressionType> validCompressionTypes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<ColGroup.CompressionType,Long>` | `getAllCompressionSizes()`
    `ColGroup.CompressionType` | `getBestCompressionType()`
    `long` | `getCompressionSize(ColGroup.CompressionType ct)`
    `int` | `getEstCard()` Note cardinality is the same as number of distinct values.
    `int` | `getEstNnz()` Number of offsets, or number of non zero values.
    `long` | `getMinSize()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompressedSizeInfoColGroup

          public CompressedSizeInfoColGroup(EstimationFactors fact,
                                            Set<ColGroup.CompressionType> validCompressionTypes)

  - ### Method Detail

    - #### getCompressionSize

          public long getCompressionSize(ColGroup.CompressionType ct)

    - #### getBestCompressionType

          public ColGroup.CompressionType getBestCompressionType()

    - #### getAllCompressionSizes

          public Map<ColGroup.CompressionType,Long> getAllCompressionSizes()

    - #### getMinSize

          public long getMinSize()

    - #### getEstCard

          public int getEstCard()

      Note cardinality is the same as number of distinct values.
      Returns:
        cardinality or number of distinct values.

    - #### getEstNnz

          public int getEstNnz()

      Number of offsets, or number of non zero values.
      Returns:
        Number of non zeros or number of values.

Copyright © 2020 The Apache Software Foundation. All rights reserved.